# time.h File Reference

## Detailed Description

Time related conversion routines.

time_t is the POSIX time. min1900_t is the minutes from Jan 1, 1900

Definition in file time.h.

`#include "dll.h"`
`#include <sys/time.h>`
`#include <time.h>`
`#include <stdint.h>`

Include dependency graph for time.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

struct | Barry::TimeZone

## Functions

const TimeZone * | Barry::GetTimeZoneTable ()
| Returns a pointer to an array of TimeZone structs.
const TimeZone * | Barry::GetTimeZone (unsigned short Code)
| Searches the internal timezone code table for the given Code and returns a pointer to a TimeZone struct found.
unsigned short | Barry::GetTimeZoneCode (signed short HourOffset, signed short MinOffset)
| Searches the internal timezone table for the first matching Code.
time_t | Barry::DayToDate (unsigned short Day)
| This routine takes the day of the year and returns a time_t adjusted from the first of the year.
time_t | Barry::Message2Time (uint16_t r_date, uint16_t r_time)
| Localize the funky math used to convert a Blackberry message timestamp into a time_t.
BXEXPORT struct timespec * | Barry::ThreadTimeout (int timeout_ms, struct timespec *spec)
| Creates a pthread_cond_timedwait() compatible timespec struct, based on a given timeout in milliseconds.